> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get task custom field values

> Get all custom field values for a task with their definitions.



## OpenAPI

````yaml /openapi.json get /custom-field/task/{taskId}
openapi: 3.1.0
info:
  title: Kaneo API
  version: 1.0.0
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
paths:
  /custom-field/task/{taskId}:
    get:
      tags:
        - Custom Fields
      summary: Get task custom field values
      description: Get all custom field values for a task with their definitions.
      operationId: getCustomFieldValuesByTask
      parameters:
        - schema:
            type: string
          required: true
          name: taskId
          in: path
      responses:
        '200':
          description: List of custom field values for the task
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CustomFieldValue'
        '400':
          description: Unknown task, or its workspace could not be determined
          content:
            text/plain:
              schema:
                type: string
        '401':
          description: Missing or invalid credentials
        '403':
          description: No access to the task's workspace
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    CustomFieldValue:
      type: object
      properties:
        id:
          type: string
        taskId:
          type: string
        fieldId:
          type: string
        value:
          type:
            - string
            - 'null'
        fieldName:
          type: string
        fieldPosition:
          type: number
        fieldType:
          type: string
        fieldOptions: {}
      required:
        - id
        - taskId
        - fieldId
        - value
        - fieldName
        - fieldPosition
        - fieldType
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or session token (Bearer)

````